# osgDB::ReentrantMutex Class Reference

List of all members.

## Public Member Functions

| ReentrantMutex ()
virtual | ~ReentrantMutex ()
virtual int | lock ()
virtual int | unlock ()
virtual int | trylock ()

## Constructor & Destructor Documentation

ReentrantMutex::ReentrantMutex | ( |  | ) |

ReentrantMutex::~ReentrantMutex | ( |  | ) | `[virtual]`

## Member Function Documentation

int ReentrantMutex::lock | ( |  | ) | `[virtual]`

int ReentrantMutex::trylock | ( |  | ) | `[virtual]`

int ReentrantMutex::unlock | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- ReentrantMutex
- ReentrantMutex.cpp